#-----------------------------------------------------------------------------
%bcond		tests		0
#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%define		__python	/usr/bin/python3
%define		cldrnum		42.0
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		lname		%(echo %{name} | tr '[:upper:]' '[:lower:]')
#-----------------------------------------------------------------------------
Name		:	Babel
Version		:	2.13.1
Release		:	17.2.0.rel%{?dist}
Summary		:	Tools for internationalizing Python applications
Group		:	Applications/Internet

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://github.com/python-babel/babel
			#Source1 -> https://unicode.org/Public/cldr

Source0		:	%{name}-%{version}.tar.gz
Source1		:	cldr-common-%{cldrnum}.zip

#-----------------------------------------------------------------------------
BuildRequires	:	%{__python}
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-installer
BuildRequires	:	python3-setuptools
BuildRequires	:	python-wheel

%if %{with tests}
BuildRequires	:	python3-pytz	
%endif

BuildArch	:	noarch

Requires	:	%{__python}

#-----------------------------------------------------------------------------
%description
'%{name} is a Python library that provides an integrated
collection of utilities that assist with internationalizing
and localizing Python applications (in particular web-based
applications.)


#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_bindir}/py%{lname}
%{python3_sitelib}/%{lname}/*
%{python3_sitelib}/%{name}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

#loading locale-data
%{__mkdir_p} cldr
cp -a %{SOURCE1} cldr/cldr-common-%{cldrnum}.zip
%{__python} scripts/download_import_cldr.py

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
